VirtualBox Main API

Public Attributes | List of all members
IMouseCapabilityChangedEvent Interface Reference

Notification when the mouse capabilities reported by the guest have changed. More...

Inheritance diagram for IMouseCapabilityChangedEvent:

## Public Attributes
readonly attribute boolean | supportsAbsolute
| Supports absolute coordinates.
readonly attribute boolean | supportsRelative
| Supports relative coordinates.
readonly attribute boolean | supportsTouchScreen
| Supports multi-touch events, touchscreen variant.
readonly attribute boolean | supportsTouchPad
| Supports multi-touch events, touchpad variant.
readonly attribute boolean | needsHostCursor
| If host cursor is needed.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when the mouse capabilities reported by the guest have changed.

The new capabilities are passed.

Interface ID:
  `{4A773393-7A8C-4D57-B228-9ADE4049A81F}`

## Member Data Documentation

## ◆ supportsAbsolute

readonly attribute boolean IMouseCapabilityChangedEvent::supportsAbsolute

Supports absolute coordinates.

## ◆ supportsRelative

readonly attribute boolean IMouseCapabilityChangedEvent::supportsRelative

Supports relative coordinates.

## ◆ supportsTouchScreen

readonly attribute boolean IMouseCapabilityChangedEvent::supportsTouchScreen

Supports multi-touch events, touchscreen variant.

## ◆ supportsTouchPad

readonly attribute boolean IMouseCapabilityChangedEvent::supportsTouchPad

Supports multi-touch events, touchpad variant.

## ◆ needsHostCursor

readonly attribute boolean IMouseCapabilityChangedEvent::needsHostCursor

If host cursor is needed.